__defineBuiltinComponent('icon', { js: function (BuiltinComponent, wx, mmp) {
            "use strict";

BuiltinComponent('mt-icon', {
  properties: {
    type: String,
    size: {
      type: [Number, String],
      value: 23
    },
    color: String
  },
  render: function render(createElement) {
    var _this$data = this.data,
        type = _this$data.type,
        size = _this$data.size,
        color = _this$data.color;
    var style = "font-size: ".concat(size, "px;");

    if (color) {
      style += "color: ".concat(color, ";");
    }

    return createElement('i', {
      meta: {
        class: 'mt-icon-' + type,
        style: style
      }
    });
  }
});
          } });