__defineBuiltinComponent('scroll-view', { js: function (BuiltinComponent, wx, mmp) {
            "use strict";

BuiltinComponent('mt-scroll-view', {
  options: {
    multipleSlots: true // 在组件定义时的选项中启用多slot支持

  },
  properties: {
    scrollX: {
      type: Boolean,
      value: false
    },
    scrollY: {
      type: Boolean,
      value: false
    },
    upperThreshold: {
      type: [Number, String],
      value: 50
    },
    lowerThreshold: {
      type: [Number, String],
      value: 50
    },
    scrollTop: [Number, String],
    scrollLeft: [Number, String],
    scrollIntoView: String,
    scrollWithAnimation: {
      type: Boolean,
      value: false
    },
    enableBackToTop: {
      type: Boolean,
      value: false
    },
    enableFlex: {
      type: Boolean,
      value: false
    },
    refresherEnabled: {
      type: Boolean,
      value: false
    },
    refresherThreshold: {
      type: Number,
      value: 45
    },
    refresherDefaultStyle: {
      type: String,
      value: 'black'
    },
    refresherBackground: {
      type: String,
      value: '#FFF'
    },
    refresherTriggered: {
      type: Boolean,
      value: false
    },
    scrollAnchoring: {
      type: Boolean,
      value: false
    }
  }
});
          },wxml: function (_) {
  return [_.c("div", {
    "props": null,
    "meta": {
      "ref": "main",
      "class": _.cp("class", "this", "data", "enableFlex") ? 'mt-scroll-view-main-flex' : ''
    }
  }, function (_) {
    return [_.c("div", {
      "props": null,
      "meta": {
        "ref": "refresher-container",
        "class": "refresher-container"
      }
    }, function (_) {
      return [(function () {
        if (_.cc("refresherEnabled") && (_.cc("refresherDefaultStyle") === 'black' || _.cc("refresherDefaultStyle") === 'white')) return _.c("div", {
          "props": null,
          "meta": {
            "ref": "refresher",
            "class": _.m("loading-image ", _.cp("class", "refresherDefaultStyle") === 'white' ? ' loading-image-white' : ' loading-image-black')
          }
        });
      }).call(this), (function () {
        if (_.cc("refresherEnabled") && _.cc("refresherDefaultStyle") !== 'black' && _.cc("refresherDefaultStyle") !== 'white') return _.c("div", {
          "props": null,
          "meta": {
            "ref": "refresher-custom",
            "class": "loading-content-custom"
          }
        }, function (_) {
          return [_.s("refresher")];
        });
      }).call(this)];
    }), _.c("div", {
      "props": null,
      "meta": {
        "ref": "content",
        "class": _.cp("class", "this", "data", "enableFlex") ? 'mt-scroll-view-flex' : ''
      }
    }, function (_) {
      return [_.s()];
    })];
  })];
} });